This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 215413 - Incorrect Xen vm disk size brings the system to its knees
Incorrect Xen vm disk size brings the system to its knees
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-13 15:52 EST by Daniel Qarras
Modified: 2008-01-22 16:39 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.5.3-1.f8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-22 16:39:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Qarras 2006-11-13 15:52:15 EST
Description of problem:
I was testing FC6/Xen on a laptop with 100GB HDD. I ran virt-install and
accidentally gave disk size 2000 (gigabytes). virt-manager merrily continues its
journey to install a virtual machine until it start formatting the / partition,
it seems to take eons and will bring the system to its knees, nothing is
responding under GNOME. After a forced reboot I found the disk image file being
2TB size(!).

The same absurd behaviour can also be triggered with virt-manager.

Version-Release number of selected component (if applicable):
xen-3.0.3-0.1.rc3
kernel-xen-2.6.18-1.2849.fc6
virt-manager-0.2.3-2.fc6
libvirt-0.1.7-2

How reproducible:
Always.

Steps to Reproduce:
1. Create a new Xen virtual machine
2. Enter some hilarious disk size, e.g., 10 times your physical disk size
3. See the system crawling until the userr frustrates completely
  
Actual results:
System dying slowly.

Expected results:
Bizarre disk size rejected before proceding to OS install.

Additional info:
With sane disk size everything is working all ok.
Comment 1 Daniel Qarras 2006-11-13 15:53:57 EST
To add confustion, virt-manager wants file size in megabytes, virt-install in
gigabytes.
Comment 2 Jeremy Katz 2006-11-16 11:53:07 EST
virt-manager should probably some sanity checking here and at least get
confirmation; virt-install allows things like this somewhat intentionally (makes
it easier to do testing of large disks, etc)
Comment 3 Hugh Brock 2007-06-18 14:21:45 EDT
Just to save me some testing, was the absurdly large storage file sparse or
non-sparse? I assume non-sparse, but can you say for sure?
Comment 4 Daniel Qarras 2007-06-19 09:53:41 EDT
I can say for sure only that I was using default values and not doing any sparse
settings by hand.
Comment 5 Red Hat Bugzilla 2007-07-24 22:06:57 EDT
change QA contact
Comment 6 Cole Robinson 2008-01-22 16:39:56 EST
F6 is end of life, but this certainly should not be an issue in F7 or F8, as
there is sanity checking in virt-install and virt-manager to ensure we do not
attempt to create a disk that is larger than available space on the host.
Closing this as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.